/// <reference types="react" />
export declare const PermissionsSelectRoot: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & {
    isDisabled: boolean;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const SelectedOption: import("@emotion/styled").StyledComponent<Pick<{
    label: any;
    icon: any;
    iconColor: any;
    className: any;
    hint: any;
}, never> & Pick<import("prop-types").InferProps<{
    className: import("prop-types").Requireable<string>;
    hint: import("prop-types").Requireable<string>;
    label: import("prop-types").Validator<NonNullable<NonNullable<string | import("prop-types").ReactElementLike | null | undefined>>>;
    icon: import("prop-types").Validator<string>;
    iconColor: import("prop-types").Validator<string>;
}>, "className" | "hint" | import("prop-types").RequiredKeys<{
    className: import("prop-types").Requireable<string>;
    hint: import("prop-types").Requireable<string>;
    label: import("prop-types").Validator<NonNullable<NonNullable<string | import("prop-types").ReactElementLike | null | undefined>>>;
    icon: import("prop-types").Validator<string>;
    iconColor: import("prop-types").Validator<string>;
}>> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const OptionsList: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLUListElement>, HTMLUListElement>, {}>;
export declare const OptionsListItem: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, {}>;
export declare const ActionsList: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
} & import("react").ClassAttributes<HTMLUListElement> & import("react").HTMLAttributes<HTMLUListElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const ToggleContainer: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
export declare const ToggleLabel: import("@emotion/styled").StyledComponent<{
    theme?: import("@emotion/react").Theme | undefined;
    as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
}, import("react").DetailedHTMLProps<import("react").LabelHTMLAttributes<HTMLLabelElement>, HTMLLabelElement>, {}>;
export declare const WarningIcon: import("@emotion/styled").StyledComponent<import("@metabase/embedding-sdk-react/dist/frontend/src/metabase/ui").IconProps & import("react").RefAttributes<SVGSVGElement> & {
    theme?: import("@emotion/react").Theme | undefined;
}, {}, {}>;
export declare const DisabledPermissionOption: import("@emotion/styled").StyledComponent<Pick<{
    label: any;
    icon: any;
    iconColor: any;
    className: any;
    hint: any;
}, never> & Pick<import("prop-types").InferProps<{
    className: import("prop-types").Requireable<string>;
    hint: import("prop-types").Requireable<string>;
    label: import("prop-types").Validator<NonNullable<NonNullable<string | import("prop-types").ReactElementLike | null | undefined>>>;
    icon: import("prop-types").Validator<string>;
    iconColor: import("prop-types").Validator<string>;
}>, "className" | "hint" | import("prop-types").RequiredKeys<{
    className: import("prop-types").Requireable<string>;
    hint: import("prop-types").Requireable<string>;
    label: import("prop-types").Validator<NonNullable<NonNullable<string | import("prop-types").ReactElementLike | null | undefined>>>;
    icon: import("prop-types").Validator<string>;
    iconColor: import("prop-types").Validator<string>;
}>> & {
    theme?: import("@emotion/react").Theme | undefined;
} & {
    isHighlighted: boolean;
}, {}, {}>;
